Table of Contents

## Name

glClientActiveTextureARB - select active texture unit

## C Specification

void glClientActiveTextureARB( GLenum texture )

eqn not supported

## Parameters

texture
  Specifies which texture unit to make active. The number of texture units is implementation dependent, but must be at least two. texture must be one of GL_TEXTURE$i$_ARB where 0 <= $ i $ < GL_MAX_TEXTURE_UNITS_ARB, which is an implementation-dependent value. The initial value is GL_TEXTURE0_ARB.

## Description

glClientActiveTextureARB selects the vertex array client state parameters to be modified by glTexCoordPointer, and enabled or disabled with glEnableClientState or glDisableClientState, respectively, when called with a parameter of GL_TEXTURE_COORD_ARRAY.

## Notes

glClientActiveTextureARB is supported only if GL_ARB_multitexture is included in the string returned by glGetString when called with the argument GL_EXTENSIONS.

glClientActiveTextureARB sets GL_CLIENT_ACTIVE_TEXTURE_ARB to the active texture unit.

## Errors

GL_INVALID_ENUM is generated if texture is not one of GL_TEXTURE$i$_ARB, where 0 <= $ i $ < GL_MAX_TEXTURE_UNITS_ARB.

## See Also

glActiveTextureARB(3G) , glDisableClientState(3G) , glEnableClientState(3G) , glMultiTexCoordARB(3G) , glTexCoordPointer(3G)

Table of Contents

- Name
- C Specification
- Parameters
- Description
- Notes
- Errors
- See Also